MODULE ErrorProcess
      INTEGER  :: WinHandle   ! This is the Windows handle used to pass messages back to the GUI
      INTEGER  :: ErrorLevel
      CHARACTER (LEN=255) :: ErrorMessage
CONTAINS
      SUBROUTINE PassMsg
      CALL MyMsg_API(WinHandle, TRIM(ErrorMessage))  ! for use as Windows DLL
      END SUBROUTINE PassMsg
END MODULE ErrorProcess
